%% This is an example on how to use TASCAR as a multi-channel sound
%% file player for multiple sounds, and to ask a perceptual rating of
%% two attributes.

cSounds = {
    '/usr/share/tascar/examples/sounds/pan.wav',
    '/usr/share/tascar/examples/sounds/clock.wav',
    '/usr/share/tascar/examples/sounds/birds.wav',
    randn(44100,2);
    };

% create an audio player:
hTSC = tascar_ctl('audioplayercreate', ...
		  cSounds, ...
		  'connect', 'system:playback_[12]',...
		  'fs', 44100, ...
		  'loop', 0, ...
		  'levelmode', 'rms', ...
		  'level', 65, ...
		  'weighting', 'A',...
		  'rewindonselect',true,...
		  'playonselect',true);

csTasks = { 
    'How blue is the sound?', ...
    {'white','','sky blue', '', 'deep blue'}; ...
    'How far is the sound?', ...
    {'in my head','','2 m', '', '10 m or more'};...
    };

cResults = {};

for k=1:size(csTasks,1)
  cResults{k} = ...
      tascar_ratingtool( 'n', numel(cSounds),...
			 'item', csTasks{k,1}, ...
			 'label', csTasks{k,2},...
			 'tmin', 3, ...
			 'onselect', @(c,hTSC) tascar_ctl('audioplayerselect',hTSC,c),...
			 'userdata',hTSC);
  send_osc(hTSC,'/transport/stop');

end
for k=1:size(csTasks,1)
  disp(csTasks{k,1})
  disp(cResults{k});
end

tascar_ctl('kill',hTSC);
		   